Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05447 Graphics Major Always Feb 4, 2014, 02:42 15 days ago
Tester Shideravan View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver studio2.cpp
Version 0.152 Fixed in Version 0.210GIT Build
Summary MESS-specific 05447: studio2 and clones: Major graphics corruption in studio2 and clones.
Description Older versions seens to run well. I tried a lot of older versions compatible with most recent dumps, but they continue with the problem.
My shot it's that the problem is related with the most recent dumps.
This problem occurs with all clones, being visicon a messed green background and other clones with blue background, but all will show messed graphics.
I can't say if the system freezes or it's just a graphical problem, that's why I marked major rather critical for severity.
I used MESS 0.152 official build from http://mamedev.org/release.html.

This problem ever occurs with any software or bios.
Steps To Reproduce Just run the system with or without any software inserted.
The graphics will be ever corrupted for all the software tested.
Additional Information That's my first report in MAMETesters. I read the guidelines and another reports, but if there problems with my report, please notify that I will try to do better reports next time.
Also, English is not my native language, and even I'm doing my better, please be comprehensible with my English errors.
Flags
Regression Version
Affected Sets / Systems studio2 and clones
Attached Files
png file icon spacewar.png (415 bytes) Feb 4, 2014, 02:42 Uploaded by Shideravan
Shideravan
png file icon spacewar after A1 pressed.png (590 bytes) Feb 7, 2014, 12:43 Uploaded by Shideravan
Shideravan
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.10234
Tafoid
Administrator
Feb 4, 2014, 04:14
I think the proper way to handle studio2 carts is to hit reset (F3) to clear, then "q" which equates to powering the console on with the cart inserted.
Any other way will not get you much of anywhere with the carts.

People who know the driver better would be able to say is this is correct behavior or not - but this procedure has always worked.
User avatar
No.10241
NekoEd
Senior Tester
Feb 6, 2014, 01:25
Acknowleding for now.
User avatar
No.10246
Shideravan
Tester
Feb 7, 2014, 12:42
Why do you have to "clear"?
That's the original system behavior?
Anyway, if just press "A1" (Q in default configuration) the game starts (at less is not a freeze), but the screen stay messed up...
(second snap - I used same game for comparation)
User avatar
No.16431
Robbbert
Developer
20 days ago
When you start the machine without a cart, you press F3 ("clear") followed by one of the letters to select various inbuilt games.
For example, press A("4") for a racing game.
Since 0.200, the graphics are totally broken.
User avatar
No.16446
Robbbert
Developer
15 days ago
CPU bug fixed by Curt Coder. He's not in the list of assignees.